/*
 *  timer.c
 *  v0.1
 *
 *  Created by Roman Dissauer on 11.02.11.
 *  Copyright 2011 __MyCompanyName__. All rights reserved.
 *
 */

#include <avr/io.h>
#include <avr/interrupt.h>
#include "timer.h"

void timer1_init(void) {
	// configure timer 1
	
	TCCR1B = ((1<<CS10) | (1<<CS12));	// prescaler clk/1024
	TCNT1 = 0x676A;	// preload timer for timebase 10s
	
	// allow overflow interrupt
	TIMSK |= (1<<TOIE1);
	
	// activate global interrupts
	sei();
}

