//*******************************************************
//  *******  RTC_ROUTINES HEADER FILE ******** 		
//*******************************************************
//Controller: ATmega32 (Clock: 8 Mhz-internal)
//Compiler	: AVR-GCC (winAVR with AVRStudio)
//Version 	: 2.4
//Author	: CC Dharmani, Chennai (India)
//			  www.dharmanitech.com
//Date		: 17 May 2010
//*******************************************************

#ifndef _RTC_ROUTINES_H_
#define _RTC_ROUTINES_H_

#define  DS1307_W			0xd0
#define  DS1307_R			0xd1

#define RTC_ERROR		1

typedef struct
{
	unsigned char time[9];
	unsigned char date[12];
	unsigned char day;
	unsigned char rtc_register[7];
	
	
} RTC_DATE_TIME;


unsigned int dateFAT, timeFAT;

unsigned char rtc_init(void);
unsigned char rtc_read(RTC_DATE_TIME *r);
unsigned char rtc_write(RTC_DATE_TIME *r);
unsigned char getDateTime_FAT(void);


#endif